window.watchface = {};
var canvas, context;
var gImage;
var WIDTH, HEIGHT;
var frameRate = 5;
var refreshCount = 0;
var battery;
var currentFrame;
var TIMELINE_MAX_VALUE = 24 * 60 * 60 * frameRate;
var dayOfWeek = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
var dayOfWeekFull = ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
var monthStr = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
var monthStrFull = ["January", "Febuary", "March", "April", "May", "Jun", "July", "August", "September", "October", "November", "December"];
var maximumDays = [31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
var stepCount = 0;
var previousDate = 0
window.watchface.imgBackground5png = new Image();
    window.watchface.imgBackground5png.src = "Background5.png";
window.watchface.imgAM2png = new Image();
        window.watchface.imgAM2png.src = "AM2.png";
window.watchface.imgPM2png = new Image();
        window.watchface.imgPM2png.src = "PM2.png";
window.watchface.imgH01png = new Image();
        window.watchface.imgH01png.src = "H01.png";
window.watchface.imgH02png = new Image();
        window.watchface.imgH02png.src = "H02.png";
window.watchface.imgH03png = new Image();
        window.watchface.imgH03png.src = "H03.png";
window.watchface.imgH04png = new Image();
        window.watchface.imgH04png.src = "H04.png";
window.watchface.imgH05png = new Image();
        window.watchface.imgH05png.src = "H05.png";
window.watchface.imgH06png = new Image();
        window.watchface.imgH06png.src = "H06.png";
window.watchface.imgH07png = new Image();
        window.watchface.imgH07png.src = "H07.png";
window.watchface.imgH08png = new Image();
        window.watchface.imgH08png.src = "H08.png";
window.watchface.imgH09png = new Image();
        window.watchface.imgH09png.src = "H09.png";
window.watchface.imgH10png = new Image();
        window.watchface.imgH10png.src = "H10.png";
window.watchface.imgH11png = new Image();
        window.watchface.imgH11png.src = "H11.png";
window.watchface.imgH12png = new Image();
        window.watchface.imgH12png.src = "H12.png";
window.watchface.imgM005png = new Image();
        window.watchface.imgM005png.src = "M005.png";
window.watchface.imgM010png = new Image();
        window.watchface.imgM010png.src = "M010.png";
window.watchface.imgM015png = new Image();
        window.watchface.imgM015png.src = "M015.png";
window.watchface.imgM020png = new Image();
        window.watchface.imgM020png.src = "M020.png";
window.watchface.imgM025png = new Image();
        window.watchface.imgM025png.src = "M025.png";
window.watchface.imgM030png = new Image();
        window.watchface.imgM030png.src = "M030.png";
window.watchface.imgM035png = new Image();
        window.watchface.imgM035png.src = "M035.png";
window.watchface.imgM040png = new Image();
        window.watchface.imgM040png.src = "M040.png";
window.watchface.imgM045png = new Image();
        window.watchface.imgM045png.src = "M045.png";
window.watchface.imgM050png = new Image();
        window.watchface.imgM050png.src = "M050.png";
window.watchface.imgM55png = new Image();
        window.watchface.imgM55png.src = "M55.png";
window.watchface.imgM001png = new Image();
        window.watchface.imgM001png.src = "M001.png";
window.watchface.imgM002png = new Image();
        window.watchface.imgM002png.src = "M002.png";
window.watchface.imgM003png = new Image();
        window.watchface.imgM003png.src = "M003.png";
window.watchface.imgM004png = new Image();
        window.watchface.imgM004png.src = "M004.png";
window.watchface.imgDetomasoBattrotpng = new Image();
        window.watchface.imgDetomasoBattrotpng.src = "DetomasoBattrot.png";

window.requestAnimationFrame ||
    window.webkitRequestAnimationFrame ||
    window.mozRequestAnimationFrame ||
    window.oRequestAnimationFrame ||
    window.msRequestAnimationFrame ||
    function (/* function */ callback) {
        'use strict';
        window.setTimeout(callback, 1000 / frameRate);
    };

function getDate() {
    'use strict';

    var date;
    try {
        date = tizen.time.getCurrentDateTime();
    } catch (err) {
        console.error('Error: ', err.message);
        date = new Date();
    }

    return date;
}

function findByValue(isTime, array, value) {
    if (isTime) {
        if (value === TIMELINE_MAX_VALUE) {
            value = 0;
        }

        for (var i = 0; i<array.length; i++) {
            if (array[i][0] <= value && array[i][1] > value) {
                return true;
            }
        }
    } else {
        for (var i = 0; i<array.length; i++) {
            if (array[i][0] <= value && array[i][1] >= value) {
                return true;
            }
        }
    }

    return false;
}

function refresh() {
    'use strict';
    //Erase the previous time
    context.clearRect(0, 0, context.canvas.width, context.canvas.height);

    //Import the current time
    var date = getDate();
    if (previousDate === 0) previousDate = date;
    if (previousDate != date) {
        previousDate = date;
        //webapi.pedometer.prevSteps = webapi.pedometer.steps;
        //webapi.pedometer.steps = 0;
    }
    var hours = date.getHours();
    var minutes = date.getMinutes();
    var seconds = date.getSeconds();
    var hour = hours + minutes / 60;
    var minute = minutes + seconds / 60;
    var milliseconds = seconds + date.getMilliseconds()/1000.0;
    var frame = parseInt(date.getMilliseconds()/(1000/frameRate));
    var angle;
    var text;
    var extent;
    var nextX;

    hours = hours > 12 ? hours - 12 : hours;
    currentFrame = (date.getHours() * frameRate * 60 * 60) + (minutes * frameRate * 60) + (seconds * frameRate) + frame;
    context.save();

    context.drawImage(window.watchface.imgBackground5png, 0, 0, 360, 360);
    context.restore();
    context.save();

    var VormittagsCondition= [[0, 648000]];
    if (findByValue(true, VormittagsCondition, currentFrame)) {
        context.drawImage(window.watchface.imgAM2png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var NachmittagsCondition= [[648000, 1296000]];
    if (findByValue(true, NachmittagsCondition, currentFrame)) {
        context.drawImage(window.watchface.imgPM2png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0100Condition= [[54000, 108000], [702000, 756000]];
    if (findByValue(true, 0100Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH01png, -25, -25, 410, 410);
        context.restore();
        context.save();
    }

    var 0200Condition= [[108000, 162000], [756000, 810000]];
    if (findByValue(true, 0200Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH02png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0300Condition= [[162000, 216000], [810000, 864000]];
    if (findByValue(true, 0300Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH03png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0400Condition= [[216000, 270000], [864000, 918000]];
    if (findByValue(true, 0400Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH04png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0500Condition= [[270000, 324000], [918000, 972000]];
    if (findByValue(true, 0500Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH05png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0600Condition= [[324000, 378000], [972000, 1026000]];
    if (findByValue(true, 0600Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH06png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0700Condition= [[378000, 432000], [1026000, 1080000]];
    if (findByValue(true, 0700Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH07png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0800Condition= [[432000, 486000], [1080000, 1134000]];
    if (findByValue(true, 0800Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH08png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 0900Condition= [[486000, 540000], [1134000, 1188000]];
    if (findByValue(true, 0900Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH09png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 1000Condition= [[540000, 594000], [1188000, 1242000]];
    if (findByValue(true, 1000Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH10png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 1100Condition= [[594000, 648000], [1242000, 1296000]];
    if (findByValue(true, 1100Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH11png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var 1200Condition= [[648000, 702000]];
    if (findByValue(true, 1200Condition, currentFrame)) {
        context.drawImage(window.watchface.imgH12png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M05Condition= [[4500, 54000], [58500, 108000], [112500, 162000], [166500, 216000], [220500, 270000], [274500, 324000], [328500, 378000], [382500, 432000], [436500, 486000], [490500, 540000], [544500, 594000], [598500, 648000], [652500, 702000], [706500, 756000], [760500, 810000], [814500, 864000], [868500, 918000], [922500, 972000], [976500, 1026000], [1030500, 1080000], [1084500, 1134000], [1138500, 1188000], [1192500, 1242000], [1246500, 1296000]];
    if (findByValue(true, M05Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM005png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M10Condition= [[9000, 54000], [63000, 108000], [117000, 162000], [171000, 216000], [225000, 270000], [279000, 324000], [333000, 378000], [387000, 432000], [441000, 486000], [495000, 540000], [549000, 594000], [603000, 648000], [657000, 702000], [711000, 756000], [765000, 810000], [819000, 864000], [873000, 918000], [927000, 972000], [981000, 1026000], [1035000, 1080000], [1089000, 1134000], [1143000, 1188000], [1197000, 1242000], [1251000, 1296000]];
    if (findByValue(true, M10Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM010png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M015Condition= [[13500, 54000], [68400, 108000], [121500, 162000], [175500, 216000], [229500, 270000], [283500, 324000], [337500, 378000], [391500, 432000], [445500, 486000], [499500, 540000], [553500, 594000], [607500, 648000], [661500, 702000], [715500, 756000], [769500, 810000], [823500, 864000], [877500, 918000], [931500, 972000], [985500, 1026000], [1039500, 1080000], [1093500, 1134000], [1147500, 1188000], [1201500, 1242000], [1255500, 1296000]];
    if (findByValue(true, M015Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM015png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M020Condition= [[18000, 54000], [72000, 108000], [126000, 162000], [180000, 216000], [234000, 270000], [288000, 324000], [342000, 378000], [396000, 432000], [450000, 486000], [504000, 540000], [558000, 594000], [612000, 648000], [666000, 702000], [720000, 756000], [774000, 810000], [828000, 864000], [882000, 918000], [936000, 972000], [990000, 1026000], [1044000, 1080000], [1098000, 1134000], [1152000, 1188000], [1206000, 1242000], [1260000, 1296000]];
    if (findByValue(true, M020Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM020png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M025Condition= [[22500, 54000], [76500, 108000], [130500, 162000], [184500, 216000], [238500, 270000], [292500, 324000], [346500, 378000], [400500, 432000], [454500, 486000], [508500, 540000], [562500, 594000], [616500, 648000], [670500, 702000], [724500, 756000], [778500, 810000], [832500, 864000], [886500, 918000], [940500, 972000], [994500, 1026000], [1048500, 1080000], [1102500, 1134000], [1156500, 1188000], [1210500, 1242000], [1264500, 1296000]];
    if (findByValue(true, M025Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM025png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M030Condition= [[27000, 54000], [81000, 108000], [135000, 162000], [189000, 216000], [243000, 270000], [297000, 324000], [351000, 378000], [405000, 432000], [459000, 486000], [513000, 540000], [567000, 594000], [621000, 648000], [675000, 702000], [729000, 756000], [783000, 810000], [837000, 864000], [891000, 918000], [945000, 972000], [999000, 1026000], [1053000, 1080000], [1107000, 1134000], [1161000, 1188000], [1215000, 1242000], [1269000, 1296000]];
    if (findByValue(true, M030Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM030png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M035Condition= [[32400, 54000], [85500, 108000], [139500, 162000], [193500, 216000], [247500, 270000], [301500, 324000], [355500, 378000], [409500, 432000], [463500, 486000], [517500, 540000], [571500, 594000], [625500, 648000], [679500, 702000], [733500, 756000], [787500, 810000], [841500, 864000], [895500, 918000], [949500, 972000], [1003500, 1026000], [1057500, 1080000], [1111500, 1134000], [1165500, 1188000], [1219500, 1242000], [1273500, 1296000]];
    if (findByValue(true, M035Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM035png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M040Condition= [[36000, 54000], [90000, 108000], [144000, 162000], [198000, 216000], [252000, 270000], [306000, 324000], [360000, 378000], [414000, 432000], [468000, 486000], [522000, 540000], [576000, 594000], [630000, 648000], [684000, 702000], [738000, 756000], [792000, 810000], [846000, 864000], [900000, 918000], [954000, 972000], [1008000, 1026000], [1062000, 1080000], [1116000, 1134000], [1170000, 1188000], [1224000, 1242000], [1278000, 1296000]];
    if (findByValue(true, M040Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM040png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M045Condition= [[40500, 54000], [94500, 108000], [148500, 162000], [202500, 216000], [256500, 270000], [310500, 324000], [364500, 378000], [418500, 432000], [472500, 486000], [526500, 540000], [580500, 594000], [634500, 648000], [688500, 702000], [742500, 756000], [796500, 810000], [850500, 864000], [904500, 918000], [958500, 972000], [1012500, 1026000], [1066500, 1080000], [1120500, 1134000], [1174500, 1188000], [1228500, 1242000], [1282500, 1296000]];
    if (findByValue(true, M045Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM045png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M050Condition= [[45000, 54000], [99000, 108000], [153000, 162000], [207000, 216000], [261000, 270000], [315000, 324000], [369000, 378000], [423000, 432000], [477000, 486000], [531000, 540000], [585000, 594000], [639000, 648000], [693000, 702000], [747000, 756000], [801000, 810000], [855000, 864000], [909000, 918000], [963000, 972000], [1017000, 1026000], [1071000, 1080000], [1125000, 1134000], [1179000, 1188000], [1233000, 1242000], [1287000, 1296000]];
    if (findByValue(true, M050Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM050png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M055Condition= [[49500, 54000], [103500, 108000], [157500, 162000], [211500, 216000], [265500, 270000], [319500, 324000], [373500, 378000], [427500, 432000], [481500, 486000], [535500, 540000], [589500, 594000], [643500, 648000], [697500, 702000], [751500, 756000], [805500, 810000], [859500, 864000], [913500, 918000], [967500, 972000], [1021500, 1026000], [1075500, 1080000], [1129500, 1134000], [1183500, 1188000], [1237500, 1242000], [1291500, 1296000]];
    if (findByValue(true, M055Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM55png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M01Condition= [[900, 4500], [5400, 9000], [9900, 13500], [14400, 18000], [18900, 22500], [23400, 27000], [27900, 31500], [32400, 36000], [36900, 40500], [41400, 45000], [45900, 49500], [50400, 54000], [54900, 58500], [59400, 63000], [63900, 67500], [68400, 72000], [72900, 76500], [77400, 81000], [81900, 85500], [86400, 90000], [90900, 94500], [95400, 99000], [99900, 103500], [104400, 108000], [108900, 112500], [113400, 117000], [117900, 121500], [122400, 126000], [126900, 130500], [131400, 135000], [135900, 139500], [140400, 144000], [144900, 148500], [149400, 153000], [153900, 157500], [158400, 162000], [162900, 166500], [167400, 171000], [171900, 175500], [176400, 180000], [180900, 184500], [185400, 189000], [189900, 193500], [194400, 198000], [198900, 202500], [203400, 207000], [207900, 211500], [212400, 216000], [216900, 220500], [221400, 225000], [225900, 229500], [230400, 234000], [234900, 238500], [239400, 243000], [243900, 247500], [248400, 252000], [252900, 256500], [257400, 261000], [261900, 265500], [266400, 270000], [270900, 274500], [275400, 279000], [279900, 283500], [284400, 288000], [288900, 292500], [293400, 297000], [297900, 301500], [302400, 306000], [306900, 310500], [311400, 315000], [315900, 319500], [320400, 324000], [324900, 328500], [329400, 333000], [333900, 337500], [338400, 342000], [342900, 346500], [347400, 351000], [351900, 355500], [356400, 360000], [360900, 364500], [365400, 369000], [369900, 373500], [374400, 378000], [378900, 382500], [383400, 387000], [387900, 391500], [392400, 396000], [396900, 400500], [401400, 405000], [405900, 409500], [410400, 414000], [414900, 418500], [419400, 423000], [423900, 427500], [428400, 432000], [432900, 436500], [437400, 441000], [441900, 445500], [446400, 450000], [450900, 454500], [455400, 459000], [459900, 463500], [464400, 468000], [468900, 472500], [473400, 477000], [477900, 481500], [482400, 486000], [486900, 490500], [491400, 495000], [495900, 499500], [500400, 504000], [504900, 508500], [509400, 513000], [513900, 517500], [518400, 522000], [522900, 526500], [527400, 531000], [531900, 535500], [536400, 540000], [540900, 544500], [545400, 549000], [549900, 553500], [554400, 558000], [558900, 562500], [563400, 567000], [567900, 571500], [572400, 576000], [576900, 580500], [581400, 585000], [585900, 589500], [590400, 594000], [594900, 598500], [599400, 603000], [603900, 607500], [608400, 612000], [612900, 616500], [617400, 621000], [621900, 625500], [626400, 630000], [630900, 634500], [635400, 639000], [639900, 643500], [644400, 648000], [648900, 652500], [653400, 657000], [657900, 661500], [662400, 666000], [666900, 670500], [671400, 675000], [675900, 679500], [680400, 684000], [684900, 688500], [689400, 693000], [693900, 697500], [698400, 702000], [702900, 706500], [707400, 711000], [711900, 715500], [716400, 720000], [720900, 724500], [725400, 729000], [729900, 733500], [734400, 738000], [738900, 742500], [743400, 747000], [747900, 751500], [752400, 756000], [756900, 760500], [761400, 765000], [765900, 769500], [770400, 774000], [774900, 778500], [779400, 783000], [783900, 787500], [788400, 792000], [792900, 796500], [797400, 801000], [801900, 805500], [806400, 810000], [810900, 814500], [815400, 819000], [819900, 823500], [824400, 828000], [828900, 832500], [833400, 837000], [837900, 841500], [842400, 846000], [846900, 850500], [851400, 855000], [855900, 859500], [860400, 864000], [864900, 868500], [869400, 873000], [873900, 877500], [878400, 882000], [882900, 886500], [887400, 891000], [891900, 895500], [896400, 900000], [900900, 904500], [905400, 909000], [909900, 913500], [914400, 918000], [918900, 922500], [923400, 927000], [927900, 931500], [932400, 936000], [936900, 940500], [941400, 945000], [945900, 949500], [950400, 954000], [954900, 958500], [959400, 963000], [963900, 967500], [968400, 972000], [972900, 976500], [977400, 981000], [981900, 985500], [986400, 990000], [990900, 994500], [995400, 999000], [999900, 1003500], [1004400, 1008000], [1008900, 1012500], [1013400, 1017000], [1017900, 1021500], [1022400, 1026000], [1026900, 1030500], [1031400, 1035000], [1035900, 1039500], [1040400, 1044000], [1044900, 1048500], [1049400, 1053000], [1053900, 1057500], [1058400, 1062000], [1062900, 1066500], [1067400, 1071000], [1071900, 1075500], [1076400, 1080000], [1080900, 1084500], [1085400, 1089000], [1089900, 1093500], [1094400, 1098000], [1098900, 1102500], [1103400, 1107000], [1107900, 1111500], [1112400, 1116000], [1116900, 1120500], [1121400, 1125000], [1125900, 1129500], [1130400, 1134000], [1134900, 1138500], [1139400, 1143000], [1143900, 1147500], [1148400, 1152000], [1152900, 1156500], [1157400, 1161000], [1161900, 1165500], [1166400, 1170000], [1170900, 1174500], [1175400, 1179000], [1179900, 1183500], [1184400, 1188000], [1188900, 1192500], [1193400, 1197000], [1197900, 1201500], [1202400, 1206000], [1206900, 1210500], [1211400, 1215000], [1215900, 1219500], [1220400, 1224000], [1224900, 1228500], [1229400, 1233000], [1233900, 1237500], [1238400, 1242000], [1242900, 1246500], [1247400, 1251000], [1251900, 1255500], [1256400, 1260000], [1260900, 1264500], [1265400, 1269000], [1269900, 1273500], [1274400, 1278000], [1278900, 1282500], [1283400, 1287000], [1287900, 1291500], [1292400, 1296000]];
    if (findByValue(true, M01Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM001png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M02Condition= [[1800, 4500], [6300, 9000], [10800, 13500], [15300, 18000], [19800, 22500], [24300, 27000], [28800, 31500], [33300, 36000], [37800, 40500], [42300, 45000], [46800, 49500], [51300, 54000], [55800, 58500], [60300, 63000], [64800, 67500], [69300, 72000], [73800, 76500], [78300, 81000], [82800, 85500], [87300, 90000], [91800, 94500], [96300, 99000], [100800, 103500], [105300, 108000], [109800, 112500], [114300, 117000], [118800, 121500], [123300, 126000], [127800, 130500], [132300, 135000], [136800, 139500], [141300, 144000], [145800, 148500], [150300, 153000], [154800, 157500], [159300, 162000], [163800, 166500], [168300, 171000], [172800, 175500], [177300, 180000], [181800, 184500], [186300, 189000], [190800, 193500], [195300, 198000], [199800, 202500], [204300, 207000], [208800, 211500], [213300, 216000], [217800, 220500], [222300, 225000], [226800, 229500], [231300, 234000], [235800, 238500], [240300, 243000], [244800, 247500], [249300, 252000], [253800, 256500], [258300, 261000], [262800, 265500], [267300, 270000], [271800, 274500], [276300, 279000], [280800, 283500], [285300, 288000], [289800, 292500], [294300, 297000], [298800, 301500], [303300, 306000], [307800, 310500], [312300, 315000], [316800, 319500], [321300, 324000], [325800, 328500], [330300, 333000], [334800, 337500], [339300, 342000], [343800, 346500], [348300, 351000], [352800, 355500], [357300, 360000], [361800, 364500], [366300, 369000], [370800, 373500], [375300, 378000], [379800, 382500], [384300, 387000], [388800, 391500], [393300, 396000], [397800, 400500], [402300, 405000], [406800, 409500], [411300, 414000], [415800, 418500], [420300, 423000], [424800, 427500], [429300, 432000], [433800, 436500], [438300, 441000], [442800, 445500], [447300, 450000], [451800, 454500], [456300, 459000], [460800, 463500], [465300, 468000], [469800, 472500], [474300, 477000], [478800, 481500], [483300, 486000], [487800, 490500], [492300, 495000], [496800, 499500], [501300, 504000], [505800, 508500], [510300, 513000], [514800, 517500], [519300, 522000], [523800, 526500], [528300, 531000], [532800, 535500], [537300, 540000], [541800, 544500], [546300, 549000], [550800, 553500], [555300, 558000], [559800, 562500], [564300, 567000], [568800, 571500], [573300, 576000], [577800, 580500], [582300, 585000], [586800, 589500], [591300, 594000], [595800, 598500], [600300, 603000], [604800, 607500], [609300, 612000], [613800, 616500], [618300, 621000], [622800, 625500], [627300, 630000], [631800, 634500], [636300, 639000], [640800, 643500], [645300, 648000], [649800, 652500], [654300, 657000], [658800, 661500], [663300, 666000], [667800, 670500], [672300, 675000], [676800, 679500], [681300, 684000], [685800, 688500], [690300, 693000], [694800, 697500], [699300, 702000], [703800, 706500], [708300, 711000], [712800, 715500], [717300, 720000], [721800, 724500], [726300, 729000], [730800, 733500], [735300, 738000], [739800, 742500], [744300, 747000], [748800, 751500], [753300, 756000], [757800, 760500], [762300, 765000], [766800, 769500], [771300, 774000], [775800, 778500], [780300, 783000], [784800, 787500], [789300, 792000], [793800, 796500], [798300, 801000], [802800, 805500], [807300, 810000], [811800, 814500], [816300, 819000], [820800, 823500], [825300, 828000], [829800, 832500], [834300, 837000], [838800, 841500], [843300, 846000], [847800, 850500], [852300, 855000], [856800, 859500], [861300, 864000], [865800, 868500], [870300, 873000], [874800, 877500], [879300, 882000], [883800, 886500], [888300, 891000], [892800, 895500], [897300, 900000], [901800, 904500], [906300, 909000], [910800, 913500], [915300, 918000], [919800, 922500], [924300, 927000], [928800, 931500], [933300, 936000], [937800, 940500], [942300, 945000], [946800, 949500], [951300, 954000], [955800, 958500], [960300, 963000], [964800, 967500], [969300, 972000], [973800, 976500], [978300, 981000], [982800, 985500], [987300, 990000], [991800, 994500], [996300, 999000], [1000800, 1003500], [1005300, 1008000], [1009800, 1012500], [1014300, 1017000], [1018800, 1021500], [1023300, 1026000], [1027800, 1030500], [1032300, 1035000], [1036800, 1039500], [1041300, 1044000], [1045800, 1048500], [1050300, 1053000], [1054800, 1057500], [1059300, 1062000], [1063800, 1066500], [1068300, 1071000], [1072800, 1075500], [1077300, 1080000], [1081800, 1084500], [1086300, 1089000], [1090800, 1093500], [1095300, 1098000], [1099800, 1102500], [1104300, 1107000], [1108800, 1111500], [1113300, 1116000], [1117800, 1120500], [1122300, 1125000], [1126800, 1129500], [1131300, 1134000], [1135800, 1138500], [1140300, 1143000], [1144800, 1147500], [1149300, 1152000], [1153800, 1156500], [1158300, 1161000], [1162800, 1165500], [1167300, 1170000], [1171800, 1174500], [1176300, 1179000], [1180800, 1183500], [1185300, 1188000], [1189800, 1192500], [1194300, 1197000], [1198800, 1201500], [1203300, 1206000], [1207800, 1210500], [1212300, 1215000], [1216800, 1219500], [1221300, 1224000], [1225800, 1228500], [1230300, 1233000], [1234800, 1237500], [1239300, 1242000], [1243800, 1246500], [1248300, 1251000], [1252800, 1255500], [1257300, 1260000], [1261800, 1264500], [1266300, 1269000], [1270800, 1273500], [1275300, 1278000], [1279800, 1282500], [1284300, 1287000], [1288800, 1291500], [1293300, 1296000]];
    if (findByValue(true, M02Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM002png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M03Condition= [[2700, 4500], [7200, 9000], [11700, 13500], [16200, 18000], [20700, 22500], [25200, 27000], [29700, 31500], [34200, 36000], [38700, 40500], [43200, 45000], [47700, 49500], [52200, 54000], [56700, 58500], [61200, 63000], [65700, 67500], [70200, 72000], [74700, 76500], [79200, 81000], [83700, 85500], [88200, 90000], [92700, 94500], [97200, 99000], [101700, 103500], [106200, 108000], [110700, 112500], [115200, 117000], [119700, 121500], [124200, 126000], [128700, 130500], [133200, 135000], [137700, 139500], [142200, 144000], [146700, 148500], [151200, 153000], [155700, 157500], [160200, 162000], [164700, 166500], [169200, 171000], [173700, 175500], [178200, 180000], [182700, 184500], [187200, 189000], [191700, 193500], [196200, 198000], [200700, 202500], [205200, 207000], [209700, 211500], [214200, 216000], [218700, 220500], [223200, 225000], [227700, 229500], [232200, 234000], [236700, 238500], [241200, 243000], [245700, 247500], [250200, 252000], [254700, 256500], [259200, 261000], [263700, 265500], [268200, 270000], [272700, 274500], [277200, 279000], [281700, 283500], [286200, 288000], [290700, 292500], [295200, 297000], [299700, 301500], [304200, 306000], [308700, 310500], [313200, 315000], [317700, 319500], [322200, 324000], [326700, 328500], [331200, 333000], [335700, 337500], [340200, 342000], [344700, 346500], [349200, 351000], [353700, 355500], [358200, 360000], [362700, 364500], [367200, 369000], [371700, 373500], [376200, 378000], [380700, 382500], [385200, 387000], [389700, 391500], [394200, 396000], [398700, 400500], [403200, 405000], [407700, 409500], [412200, 414000], [416700, 418500], [421200, 423000], [425700, 427500], [430200, 432000], [434700, 436500], [439200, 441000], [443700, 445500], [448200, 450000], [452700, 454500], [457200, 459000], [461700, 463500], [466200, 468000], [470700, 472500], [475200, 477000], [479700, 481500], [484200, 486000], [488700, 490500], [493200, 495000], [497700, 499500], [502200, 504000], [506700, 508500], [511200, 513000], [515700, 517500], [520200, 522000], [524700, 526500], [529200, 531000], [533700, 535500], [538200, 540000], [542700, 544500], [547200, 549000], [551700, 553500], [556200, 558000], [560700, 562500], [565200, 567000], [569700, 571500], [574200, 576000], [578700, 580500], [583200, 585000], [587700, 589500], [592200, 594000], [596700, 598500], [601200, 603000], [605700, 607500], [610200, 612000], [614700, 616500], [619200, 621000], [623700, 625500], [628200, 630000], [632700, 634500], [637200, 639000], [641700, 643500], [646200, 648000], [650700, 652500], [655200, 657000], [659700, 661500], [664200, 666000], [668700, 670500], [673200, 675000], [677700, 679500], [682200, 684000], [686700, 688500], [691200, 693000], [695700, 697500], [700200, 702000], [704700, 706500], [709200, 711000], [713700, 715500], [718200, 720000], [722700, 724500], [727200, 729000], [731700, 733500], [736200, 738000], [740700, 742500], [745200, 747000], [749700, 751500], [754200, 756000], [758700, 760500], [763200, 765000], [767700, 769500], [772200, 774000], [776700, 778500], [781200, 783000], [785700, 787500], [790200, 792000], [794700, 796500], [799200, 801000], [803700, 805500], [808200, 810000], [812700, 814500], [817200, 819000], [821700, 823500], [826200, 828000], [830700, 832500], [835200, 837000], [839700, 841500], [844200, 846000], [848700, 850500], [853200, 855000], [857700, 859500], [862200, 864000], [866700, 868500], [871200, 873000], [875700, 877500], [880200, 882000], [884700, 886500], [889200, 891000], [893700, 895500], [898200, 900000], [902700, 904500], [907200, 909000], [911700, 913500], [916200, 918000], [920700, 922500], [925200, 927000], [929700, 931500], [934200, 936000], [938700, 940500], [943200, 945000], [947700, 949500], [952200, 954000], [956700, 958500], [961200, 963000], [965700, 967500], [970200, 972000], [974700, 976500], [979200, 981000], [983700, 985500], [988200, 990000], [992700, 994500], [997200, 999000], [1001700, 1003500], [1006200, 1008000], [1010700, 1012500], [1015200, 1017000], [1019700, 1021500], [1024200, 1026000], [1028700, 1030500], [1033200, 1035000], [1037700, 1039500], [1042200, 1044000], [1046700, 1048500], [1051200, 1053000], [1055700, 1057500], [1060200, 1062000], [1064700, 1066500], [1069200, 1071000], [1073700, 1075500], [1078200, 1080000], [1082700, 1084500], [1087200, 1089000], [1091700, 1093500], [1096200, 1098000], [1100700, 1102500], [1105200, 1107000], [1109700, 1111500], [1114200, 1116000], [1118700, 1120500], [1123200, 1125000], [1127700, 1129500], [1132200, 1134000], [1136700, 1138500], [1141200, 1143000], [1145700, 1147500], [1150200, 1152000], [1154700, 1156500], [1159200, 1161000], [1163700, 1165500], [1168200, 1170000], [1172700, 1174500], [1177200, 1179000], [1181700, 1183500], [1186200, 1188000], [1190700, 1192500], [1195200, 1197000], [1199700, 1201500], [1204200, 1206000], [1208700, 1210500], [1213200, 1215000], [1217700, 1219500], [1222200, 1224000], [1226700, 1228500], [1231200, 1233000], [1235700, 1237500], [1240200, 1242000], [1244700, 1246500], [1249200, 1251000], [1253700, 1255500], [1258200, 1260000], [1262700, 1264500], [1267200, 1269000], [1271700, 1273500], [1276200, 1278000], [1280700, 1282500], [1285200, 1287000], [1289700, 1291500], [1294200, 1296000]];
    if (findByValue(true, M03Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM003png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var M04Condition= [[3600, 4500], [8100, 9000], [12600, 13500], [17100, 18000], [21600, 22500], [26100, 27000], [30600, 31500], [35100, 36000], [39600, 40500], [44100, 45000], [48600, 49500], [53100, 54000], [57600, 58500], [62100, 63000], [66600, 67500], [71100, 72000], [75600, 76500], [80100, 81000], [84600, 85500], [89100, 90000], [93600, 94500], [98100, 99000], [102600, 103500], [107100, 108000], [111600, 112500], [116100, 117000], [120600, 121500], [125100, 126000], [129600, 130500], [134100, 135000], [138600, 139500], [143100, 144000], [147600, 148500], [152100, 153000], [156600, 157500], [161100, 162000], [165600, 166500], [170100, 171000], [174600, 175500], [179100, 180000], [183600, 184500], [188100, 189000], [192600, 193500], [197100, 198000], [201600, 202500], [206100, 207000], [210600, 211500], [215100, 216000], [219600, 220500], [224100, 225000], [228600, 229500], [233100, 234000], [237600, 238500], [242100, 243000], [246600, 247500], [251100, 252000], [255600, 256500], [260100, 261000], [264600, 265500], [269100, 270000], [273600, 274500], [278100, 279000], [282600, 283500], [287100, 288000], [291600, 292500], [296100, 297000], [300600, 301500], [305100, 306000], [309600, 310500], [314100, 315000], [318600, 319500], [323100, 324000], [327600, 328500], [332100, 333000], [336600, 337500], [341100, 342000], [345600, 346500], [350100, 351000], [354600, 355500], [359100, 360000], [363600, 364500], [368100, 369000], [372600, 373500], [377100, 378000], [381600, 382500], [386100, 387000], [390600, 391500], [395100, 396000], [399600, 400500], [404100, 405000], [408600, 409500], [413100, 414000], [417600, 418500], [422100, 423000], [426600, 427500], [431100, 432000], [435600, 436500], [440100, 441000], [444600, 445500], [449100, 450000], [453600, 454500], [458100, 459000], [462600, 463500], [467100, 468000], [471600, 472500], [476100, 477000], [480600, 481500], [485100, 486000], [489600, 490500], [494100, 495000], [498600, 499500], [503100, 504000], [507600, 508500], [512100, 513000], [516600, 517500], [521100, 522000], [525600, 526500], [530100, 531000], [534600, 535500], [539100, 540000], [543600, 544500], [548100, 549000], [552600, 553500], [557100, 558000], [561600, 562500], [566100, 567000], [570600, 571500], [575100, 576000], [579600, 580500], [584100, 585000], [588600, 589500], [593100, 594000], [597600, 598500], [602100, 603000], [606600, 607500], [611100, 612000], [615600, 616500], [620100, 621000], [624600, 625500], [629100, 630000], [633600, 634500], [638100, 639000], [642600, 643500], [647100, 648000], [651600, 652500], [656100, 657000], [660600, 661500], [665100, 666000], [669600, 670500], [674100, 675000], [678600, 679500], [683100, 684000], [687600, 688500], [692100, 693000], [696600, 697500], [701100, 702000], [705600, 706500], [710100, 711000], [714600, 715500], [719100, 720000], [723600, 724500], [728100, 729000], [732600, 733500], [737100, 738000], [741600, 742500], [746100, 747000], [750600, 751500], [755100, 756000], [759600, 760500], [764100, 765000], [768600, 769500], [773100, 774000], [777600, 778500], [782100, 783000], [786600, 787500], [791100, 792000], [795600, 796500], [800100, 801000], [804600, 805500], [809100, 810000], [813600, 814500], [818100, 819000], [822600, 823500], [827100, 828000], [831600, 832500], [836100, 837000], [840600, 841500], [845100, 846000], [849600, 850500], [854100, 855000], [858600, 859500], [863100, 864000], [867600, 868500], [872100, 873000], [876600, 877500], [881100, 882000], [885600, 886500], [890100, 891000], [894600, 895500], [899100, 900000], [903600, 904500], [908100, 909000], [912600, 913500], [917100, 918000], [921600, 922500], [926100, 927000], [930600, 931500], [935100, 936000], [939600, 940500], [944100, 945000], [948600, 949500], [953100, 954000], [957600, 958500], [962100, 963000], [966600, 967500], [971100, 972000], [975600, 976500], [980100, 981000], [984600, 985500], [989100, 990000], [993600, 994500], [998100, 999000], [1002600, 1003500], [1007100, 1008000], [1011600, 1012500], [1016100, 1017000], [1020600, 1021500], [1025100, 1026000], [1029600, 1030500], [1034100, 1035000], [1038600, 1039500], [1043100, 1044000], [1047600, 1048500], [1052100, 1053000], [1056600, 1057500], [1061100, 1062000], [1065600, 1066500], [1070100, 1071000], [1074600, 1075500], [1079100, 1080000], [1083600, 1084500], [1088100, 1089000], [1092600, 1093500], [1097100, 1098000], [1101600, 1102500], [1106100, 1107000], [1110600, 1111500], [1115100, 1116000], [1119600, 1120500], [1124100, 1125000], [1128600, 1129500], [1133100, 1134000], [1137600, 1138500], [1142100, 1143000], [1146600, 1147500], [1151100, 1152000], [1155600, 1156500], [1160100, 1161000], [1164600, 1165500], [1169100, 1170000], [1173600, 1174500], [1178100, 1179000], [1182600, 1183500], [1187100, 1188000], [1191600, 1192500], [1196100, 1197000], [1200600, 1201500], [1205100, 1206000], [1209600, 1210500], [1214100, 1215000], [1218600, 1219500], [1223100, 1224000], [1227600, 1228500], [1232100, 1233000], [1236600, 1237500], [1241100, 1242000], [1245600, 1246500], [1250100, 1251000], [1254600, 1255500], [1259100, 1260000], [1263600, 1264500], [1268100, 1269000], [1272600, 1273500], [1277100, 1278000], [1281600, 1282500], [1286100, 1287000], [1290600, 1291500], [1295100, 1296000]];
    if (findByValue(true, M04Condition, currentFrame)) {
        context.drawImage(window.watchface.imgM004png, 0, 0, 360, 360);
        context.restore();
        context.save();
    }

    var Image1Condition= [[0, 30]];
    if (findByValue(false, Image1Condition, Math.floor(battery.level*100))) {
        context.drawImage(window.watchface.imgDetomasoBattrotpng, 153, 98, 57, 59);
        context.restore();
        context.save();
    }

    context.restore();
    window.requestAnimationFrame(refresh);
    refreshCount++;
}

window.onload = function () {
    'use strict';
    canvas = document.getElementById('clock');
    console.log('onload called');
    context = canvas.getContext('2d');

    canvas.width = document.width;
    canvas.height = document.height;

    WIDTH = document.width;
    HEIGHT = document.height;

    gImage = new Image();

    battery = navigator.battery || navigator.webkitBattery || navigator.mozBattery;

    //add eventListener for tizenhwkey
    window.addEventListener('tizenhwkey', function (e) {
        if (e.keyName == 'back') {
            try {
                tizen.application.getCurrentApplication().exit();
            } catch (err) {
                console.log('Error: ', err.message);
            }
        }
    });

    window.requestAnimationFrame(refresh);

};
